[racket] Poll: Does anybody besides Doug use 'plot'?

From: Neil Van Dyke (neil at neilvandyke.org)
Date: Sat Oct 1 12:44:17 EDT 2011

Neil Toronto wrote at 10/01/2011 12:15 PM:
>> 2. Whether to call the new library "plot" (rather than, say, "plot2" or
>> "newimprovedsuperplot2000").
> Yep. That's part of the main question.
> If the answer to #2 is "the new library is called 'plot'", then the 
> answer to #4 is "you have to change (require plot) to (require 
> plot/compat)". And then everything should work.

Thanks, Neil T.

If that's a big point of contention, then would everyone be happy either 
with one of the following?

1. Call the new library "plot2", and make "plot" be a compatibility 
layer for "plot2".  Add pointers in strategic locations of "plot" parts 
of documentation, saying telling reader probably want to use "plot2" for 
new development.

2. Make the APIs for the old library and new library not conflict, by 
making any necessary changes to the new API, and put both APIs together 
in single library named "plot" that users get with "(require plot)".  
Document the old API parts as deprecated.


Posted on the users mailing list.